ResourcesTickets
List all ticket messages
This endpoint allows you to retrieve a paginated list of all your ticket messages within a specific ticket received. By default, a maximum of fifteen ticket messages are shown per page.
This endpoint allows you to retrieve a paginated list of all your ticket messages within a specific ticket received. By default, a maximum of fifteen ticket messages are shown per page.
Authorization
bearerAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Path Parameters
ticket*integer
The ticket path parameter.
Query Parameters
limit?integer
Limit the number of blacklist rules returned.
Default
15Range
1 <= value <= 100page?integer
The page number you are attempting to access.
Default
1Range
1 <= valueResponse Body
application/json
curl -X GET "https://sell.app/api/v1/tickets/0/messages"{
"data": [
{
"id": 1,
"author": "CUSTOMER",
"sender": "e@x.com",
"content": "Hi. I want to buy sell app. do you accept doge?",
"created_at": "2022-12-12T12:12:12.000000Z",
"updated_at": "2022-12-12T12:12:12.000000Z",
"ticket_id": 1
}
],
"links": {},
"meta": {}
}